diff --git a/components/modules/ai/who_plumerai_people_detection.cpp b/components/modules/ai/who_plumerai_people_detection.cpp
index 05c89ae..8d4ca25 100644
--- a/components/modules/ai/who_plumerai_people_detection.cpp
+++ b/components/modules/ai/who_plumerai_people_detection.cpp
@@ -80,6 +80,9 @@ static void task_process_handler(void *arg)
     constexpr int max_detections = 20;
     BoxPrediction predictions[max_detections];
 
+    float delta_t_s = 1.0f;  // will be set below properly
+    auto prev_end_time = esp_timer_get_time();
+
     while (true)
     {
         if (gEvent)
@@ -88,8 +91,7 @@ static void task_process_handler(void *arg)
             if (xQueueReceive(xQueueFrameI, &frame, portMAX_DELAY))
             {
                 int num_results = 0;
-                constexpr float framerate = 2.5f;  // in frames-per-second (FPS)
-                error_code = PeopleDetectionMicroProcessFrame(predictions, max_detections, &num_results, 1 / framerate, frame->buf);
+                error_code = PeopleDetectionMicroProcessFrame(predictions, max_detections, &num_results, delta_t_s, frame->buf);
                 if (error_code != 0) { ESP_LOGI(TAG, "Error: could not process a frame using Plumerai People Detection"); }
                 ESP_LOGI(TAG, "Detected %d person(s)", num_results);
 
@@ -97,6 +99,11 @@ static void task_process_handler(void *arg)
                     draw_detection(predictions[result_id], reinterpret_cast<uint16_t *>(lcd_buffer->buf), lcd_width, lcd_display_height);
                     is_detected = true;
                 }
+
+                auto time_since_last_update = esp_timer_get_time() - prev_end_time;
+                delta_t_s = static_cast<float>(time_since_last_update) / 1000000.0f;
+                prev_end_time = esp_timer_get_time();
+                ESP_LOGI(TAG, "Total speed of demo: %.3fms (%.1f FPS)", delta_t_s * 1000.f, 1.0f / delta_t_s);
             }
 
             if (xQueueFrameO)
